io.vertx.ext.web.handler.sockjs

## Class SockJSHandlerOptions

- java.lang.Object
- - io.vertx.ext.web.handler.sockjs.SockJSHandlerOptions

-     public class SockJSHandlerOptions
      extends Object

  Options for configuring a SockJS handler
  Author:
    Tim Fox, Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_HEARTBEAT_INTERVAL`
    `static boolean` | `DEFAULT_INSERT_JSESSIONID`
    `static String` | `DEFAULT_LIBRARY_URL`
    `static int` | `DEFAULT_MAX_BYTES_STREAMING`
    `static long` | `DEFAULT_SESSION_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SockJSHandlerOptions()`
    `SockJSHandlerOptions(JsonObject json)`
    `SockJSHandlerOptions(SockJSHandlerOptions other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SockJSHandlerOptions` | `addDisabledTransport(String subProtocol)`
    `Set<String>` | `getDisabledTransports()`
    `long` | `getHeartbeatInterval()`
    `String` | `getLibraryURL()`
    `int` | `getMaxBytesStreaming()`
    `long` | `getSessionTimeout()`
    `boolean` | `isInsertJSESSIONID()`
    `SockJSHandlerOptions` | `setHeartbeatInterval(long heartbeatInterval)`
    `SockJSHandlerOptions` | `setInsertJSESSIONID(boolean insertJSESSIONID)`
    `SockJSHandlerOptions` | `setLibraryURL(String libraryURL)`
    `SockJSHandlerOptions` | `setMaxBytesStreaming(int maxBytesStreaming)`
    `SockJSHandlerOptions` | `setSessionTimeout(long sessionTimeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SESSION_TIMEOUT

          public static final long DEFAULT_SESSION_TIMEOUT

      See Also:
        Constant Field Values

    - #### DEFAULT_INSERT_JSESSIONID

          public static final boolean DEFAULT_INSERT_JSESSIONID

      See Also:
        Constant Field Values

    - #### DEFAULT_HEARTBEAT_INTERVAL

          public static final long DEFAULT_HEARTBEAT_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_BYTES_STREAMING

          public static final int DEFAULT_MAX_BYTES_STREAMING

      See Also:
        Constant Field Values

    - #### DEFAULT_LIBRARY_URL

          public static final String DEFAULT_LIBRARY_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SockJSHandlerOptions

          public SockJSHandlerOptions(SockJSHandlerOptions other)

    - #### SockJSHandlerOptions

          public SockJSHandlerOptions()

    - #### SockJSHandlerOptions

          public SockJSHandlerOptions(JsonObject json)

  - ### Method Detail

    - #### getSessionTimeout

          public long getSessionTimeout()

    - #### setSessionTimeout

          public SockJSHandlerOptions setSessionTimeout(long sessionTimeout)

    - #### isInsertJSESSIONID

          public boolean isInsertJSESSIONID()

    - #### setInsertJSESSIONID

          public SockJSHandlerOptions setInsertJSESSIONID(boolean insertJSESSIONID)

    - #### getHeartbeatInterval

          public long getHeartbeatInterval()

    - #### setHeartbeatInterval

          public SockJSHandlerOptions setHeartbeatInterval(long heartbeatInterval)

    - #### getMaxBytesStreaming

          public int getMaxBytesStreaming()

    - #### setMaxBytesStreaming

          public SockJSHandlerOptions setMaxBytesStreaming(int maxBytesStreaming)

    - #### getLibraryURL

          public String getLibraryURL()

    - #### setLibraryURL

          public SockJSHandlerOptions setLibraryURL(String libraryURL)

    - #### addDisabledTransport

          public SockJSHandlerOptions addDisabledTransport(String subProtocol)

    - #### getDisabledTransports

          public Set<String> getDisabledTransports()

Copyright © 2018 Eclipse. All rights reserved.